## ros-genlisp 0.4.16

=== scripts/CMakeLists.txt ===
install(
  FILES msg.lisp.template srv.lisp.template
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

catkin_install_python(
  PROGRAMS gen_lisp.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

## ros-genlisp 0.4.15

=== debian/changelog ===
ros-genlisp (0.4.15-4) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 16 Feb 2016 10:42:24 +0100

ros-genlisp (0.4.15-3) unstable; urgency=medium

  * Convert to new catkin with multiarch

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 24 Nov 2015 18:44:55 +0100

ros-genlisp (0.4.15-2) unstable; urgency=medium

  * install pkg-config file for rosmake

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 17 Nov 2015 10:16:42 +0100

ros-genlisp (0.4.15-1) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Update packing copyright
  * Add lintian-overrides
  * Update dh_install file
  * Add watch file
  * Fix copyright year
  * Initial release (Closes: #804933)

  [ Leopold Palomo-Avellaneda ]
  * Updated Uploaders and Maintainer field
  * Updated Python dependencies
  * Increase Standards-Version to 3.9.6
  * Added VCS fields
  * Added X-Python-Version
  * Updated copyright
  * Updated Description field
  * Added get-orig-source rule

  [ Jochen Sprickerhof ]
  * Imported Upstream version 0.4.15

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 16 Nov 2015 03:34:36 +0000

=== debian/control ===
Source: ros-genlisp
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), python-genmsg, python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), dh-python
Standards-Version: 3.9.6
Homepage: https://github.com/ros/genlisp
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-genlisp.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-genlisp.git
X-Python-Version: >= 2.7

Package: python-genlisp
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Common-Lisp Robot OS message and service generators
 This package is part of Robot OS (ROS). genlisp is a python program
 that generates ROS messages and service code for Lisp. It lets you
 generate the code for your program from plain text files.

## ros-genlisp 0.4.16

=== debian/changelog ===
ros-genlisp (0.4.16-1) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * Remove lintian override, fixed in lintian 2.5.47
  * New upstream version 0.4.16
  * Remove patch (accepted upstream)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Sep 2016 18:18:42 +0200

ros-genlisp (0.4.15-5) unstable; urgency=medium

  * Add patch to make message build reproducible

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 11 Jul 2016 15:56:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), python-genmsg, python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), dh-python
-Standards-Version: 3.9.6
-Homepage: https://github.com/ros/genlisp
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-genlisp.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-genlisp.git
+Standards-Version: 3.9.8
+Homepage: http://wiki.ros.org/genlisp
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-genlisp.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-genlisp.git
 X-Python-Version: >= 2.7
 
 Package: python-genlisp

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh  $@ --parallel --buildsystem=cmake --with python2

# debmake generated override targets
# This is example for Cmake (See http://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

get-orig-source:
	uscan --verbose --force-download --repack --compress xz

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/genlisp-$1\.tar\.gz/ \
  https://github.com/ros/genlisp/releases .*/v?(\d\S*)\.tar\.gz

## ros-genlisp 0.4.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(genlisp)
find_package(catkin REQUIRED COMPONENTS genmsg)

catkin_package(
  CATKIN_DEPENDS genmsg
  CFG_EXTRAS genlisp-extras.cmake
)

add_subdirectory(scripts)

file(WRITE ${CATKIN_DEVEL_PREFIX}/${GENMSG_LANGS_DESTINATION}/genlisp "LISP")
install(FILES ${CATKIN_DEVEL_PREFIX}/${GENMSG_LANGS_DESTINATION}/genlisp
  DESTINATION ${GENMSG_LANGS_DESTINATION})

# drop marker file to prevent rospack from spending time on crawling this folder
file(WRITE ${CATKIN_DEVEL_PREFIX}/share/common-lisp/rospack_nosubdirs "")
install(FILES ${CATKIN_DEVEL_PREFIX}/share/common-lisp/rospack_nosubdirs
  DESTINATION share/common-lisp)

catkin_python_setup()

=== debian/changelog ===
ros-genlisp (0.4.17-3) unstable; urgency=medium

  * Drop Python 2 package (Closes: #938376)
  * Fix spelling
  * Bump policy version (no changes)
  * simplify d/watch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 08:33:33 +0200

ros-genlisp (0.4.17-2) unstable; urgency=medium

  * Fix install file

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 31 Jul 2019 21:55:14 +0200

ros-genlisp (0.4.17-1) unstable; urgency=medium

  * Simplify d/rules
  * New upstream version 0.4.17
  * Bump policy version (no changes)
  * switch to debhelper-compat and debhelper 12
  * cleanup rules
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 31 Jul 2019 20:15:04 +0200

ros-genlisp (0.4.16-4) unstable; urgency=medium

  * Move pkgconfig to share

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 18 Jun 2018 19:00:24 +0200

ros-genlisp (0.4.16-3) unstable; urgency=medium

  * Add python3 package

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Jun 2018 17:40:01 +0200

ros-genlisp (0.4.16-2) unstable; urgency=medium

  * Update watch file
  * Remove old catkin version
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Update policy and debhelper versions
  * Add missing dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 19 Apr 2018 22:36:31 +0200

=== debian/control ===
Source: ros-genlisp
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper-compat (= 12), catkin, python3-genmsg, python3-setuptools, python3-all, dh-python
Standards-Version: 4.4.1
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/genlisp
Vcs-Browser: https://salsa.debian.org/science-team/ros-genlisp
Vcs-Git: https://salsa.debian.org/science-team/ros-genlisp.git

Package: python3-genlisp
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genmsg
Breaks: python-genlisp (<< 0.4.17-3)
Replaces: python-genlisp (<< 0.4.17-3)
Description: Common-Lisp Robot OS message and service generators - Python 3 version
 This package is part of Robot OS (ROS). genlisp is a Python program
 that generates ROS messages and service code for Lisp. It lets you
 generate the code for your program from plain text files.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

export ROS_PYTHON_VERSION=3

%:
	dh  $@ --buildsystem=cmake --with python3

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

## ros-genlisp 0.4.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(genlisp)
 find_package(catkin REQUIRED COMPONENTS genmsg)

=== debian/changelog ===
ros-genlisp (0.4.18-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Drop old Breaks/Replaces

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Timo Röhling ]
  * Add README for message rebuilds
  * Wrap and sort Debian package files
  * Migrate to dh-ros
  * Bump Standards-Version to 4.7.0
  * Add myself to uploaders

 -- Timo Röhling <roehling@debian.org>  Wed, 25 Sep 2024 21:41:33 +0200

ros-genlisp (0.4.18-2) unstable; urgency=medium

  * simplify packaging

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 19 Dec 2020 11:59:22 +0100

ros-genlisp (0.4.18-1) unstable; urgency=medium

  * New upstream version 0.4.18
  * Remove Thomas from Uploaders, thanks for working on this
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 13:40:30 +0200

=== debian/control ===
Source: ros-genlisp
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
 Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 catkin,
 debhelper-compat (= 13),
 dh-ros,
 dh-sequence-python3,
 python3-all,
 python3-genmsg,
 python3-setuptools,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/genlisp
Vcs-Browser: https://salsa.debian.org/science-team/ros-genlisp
Vcs-Git: https://salsa.debian.org/science-team/ros-genlisp.git

Package: python3-genlisp
Architecture: all
Depends:
 python3-genmsg,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Common-Lisp Robot OS message and service generators - Python 3 version
 This package is part of Robot OS (ROS). genlisp is a Python program
 that generates ROS messages and service code for Lisp. It lets you
 generate the code for your program from plain text files.
 .
 This package contains the Python 3 module.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-genlisp-$1.tar.gz%" \
    https://github.com/ros/genlisp/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
